<?xml version="1.0" encoding="UTF-8"?>
<!--
// Copyright (C) 2022 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial
-->
<typesystem package="PySide6.QtCoap">
    <load-typesystem name="QtCore/typesystem_core.xml" generate="no"/>
    <load-typesystem name="QtNetwork/typesystem_network.xml" generate="no"/>
    <namespace-type name="QtCoap">
        <enum-type name="Error"/>
        <enum-type name="Method"/>
        <enum-type name="MulticastGroup"/>
        <enum-type name="Port"/>
        <enum-type name="ResponseCode"/>
        <enum-type name="SecurityMode"/>
    </namespace-type>
    <object-type name="QCoapResourceDiscoveryReply"/>
    <object-type name="QCoapClient"/>
    <value-type name="QCoapMessage">
        <enum-type name="Type"/>
    </value-type>
    <value-type name="QCoapOption">
        <enum-type name="OptionName"/>
    </value-type>
    <value-type name="QCoapPrivateKey"/>
    <object-type name="QCoapReply"/>
    <value-type name="QCoapRequest"/>
    <value-type name="QCoapResource"/>
    <value-type name="QCoapSecurityConfiguration"/>
</typesystem>
